Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.adapters
Class OracleV1DOMAdapter

    java.lang.Object
      |
      +--org.jdom.adapters.AbstractDOMAdapter
            |
            +--org.jdom.adapters.OracleV1DOMAdapter

public class OracleV1DOMAdapter
extends AbstractDOMAdapter

An adapter for the Oracle Version 1 DOM parser.

Version:
  $Revision: 1.19 $, $Date: 2004/02/06 09:28:31 $
Author:
  Brett McLaughlin, Jason Hunter

Constructor Summary
`OracleV1DOMAdapter()`

Method Summary
`org.w3c.dom.Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`org.w3c.dom.Document` | `getDocument(java.io.InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Methods inherited from class org.jdom.adapters.AbstractDOMAdapter
`createDocument, getDocument, setInternalSubset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleV1DOMAdapter

    public OracleV1DOMAdapter()

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument(java.io.InputStream in,
                                            boolean validate)
                                     throws java.io.IOException,
                                            JDOMException

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
  Overrides:
    getDocument in class AbstractDOMAdapter
  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.io.IOException - when I/O error occurs.
    JDOMException - when errors occur in parsing.

### createDocument

    public org.w3c.dom.Document createDocument()
                                        throws JDOMException

  This creates an empty `Document` object based on a specific parser implementation.
  Overrides:
    createDocument in class AbstractDOMAdapter
  Returns:
    `Document` - created DOM Document.
  Throws:
    JDOMException - when errors occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.